List metric charts for an application
curl --request GET \
--url https://{controlPlaneURL}/api/svc/v1/metrics/{workspaceId}/charts \
--header 'Authorization: Bearer <token>'import requests
url = "https://{controlPlaneURL}/api/svc/v1/metrics/{workspaceId}/charts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{controlPlaneURL}/api/svc/v1/metrics/{workspaceId}/charts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"step": "30s",
"graphs": [
{
"name": "<string>",
"description": "<string>",
"chart": "<string>",
"chartType": "line",
"params": "<string>"
}
]
}Metrics
List metric charts for an application
List metric charts available for an application.
GET
/
api
/
svc
/
v1
/
metrics
/
{workspaceId}
/
charts
List metric charts for an application
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Unique identifier of the application.
Start timestamp in milliseconds since epoch. Defaults to the application's last deployment creation time.
End timestamp in milliseconds since epoch. Defaults to the current time.
Scope of the chart bundle to return.
Available options:
application, pod, job-run, event, cluster JSON-encoded filter required by certain scopes.
Example:
"{\"pod\":\"my-app-abc123-xyz\"}"
Was this page helpful?